svn commit: r419179 - in head/japanese: . font-aozoramincho font-aozoramincho/files
Hajimu UMEMOTO
ume at FreeBSD.org
Wed Jul 27 15:10:11 UTC 2016
Author: ume
Date: Wed Jul 27 15:10:09 2016
New Revision: 419179
URL: https://svnweb.freebsd.org/changeset/ports/419179
Log:
Add new port -- Aozora Mincho Japanese TrueType fonts
Added:
head/japanese/font-aozoramincho/
head/japanese/font-aozoramincho/Makefile (contents, props changed)
head/japanese/font-aozoramincho/distinfo (contents, props changed)
head/japanese/font-aozoramincho/files/
head/japanese/font-aozoramincho/files/20-unhint-aozoramincho.conf (contents, props changed)
head/japanese/font-aozoramincho/files/62-fonts-aozoramincho.conf (contents, props changed)
head/japanese/font-aozoramincho/files/pkg-install.in (contents, props changed)
head/japanese/font-aozoramincho/pkg-descr (contents, props changed)
head/japanese/font-aozoramincho/pkg-plist (contents, props changed)
Modified:
head/japanese/Makefile
Modified: head/japanese/Makefile
==============================================================================
--- head/japanese/Makefile Wed Jul 27 15:09:11 2016 (r419178)
+++ head/japanese/Makefile Wed Jul 27 15:10:09 2016 (r419179)
@@ -61,6 +61,7 @@
SUBDIR += fcitx-skk
SUBDIR += flower-fpw
SUBDIR += foldoc-fpw
+ SUBDIR += font-aozoramincho
SUBDIR += font-ayu18
SUBDIR += font-ayu20
SUBDIR += font-elisa10
Added: head/japanese/font-aozoramincho/Makefile
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/japanese/font-aozoramincho/Makefile Wed Jul 27 15:10:09 2016 (r419179)
@@ -0,0 +1,44 @@
+# $FreeBSD$
+
+PORTNAME= aozoramincho
+PORTVERSION= 0.1
+#PORTREVISION= 0
+CATEGORIES= japanese x11-fonts
+MASTER_SITES= http://blueskis.wktk.so/AozoraMincho/archive/v${PORTVERSION}/
+PKGNAMEPREFIX= ja-font-
+DISTNAME= ${PORTNAME}-readme-ttf
+DIST_SUBDIR= ${PORTNAME}-${PORTVERSION}
+
+MAINTAINER= ume at FreeBSD.org
+COMMENT= Aozora Mincho Japanese TrueType fonts
+
+USES= fonts:fc zip
+FONTNAME= ${PORTNAME}
+NO_ARCH= yes
+NO_BUILD= yes
+PKGINSTALL= ${WRKDIR}/pkg-install
+PKGDEINSTALL= ${WRKDIR}/pkg-install
+SUB_FILES= pkg-install
+PORTDOCS= *
+
+OPTIONS_DEFINE= DOCS
+
+do-install:
+ ${MKDIR} ${STAGEDIR}${FONTSDIR}
+ cd ${WRKSRC} && ${INSTALL_DATA} *.ttf ${STAGEDIR}${FONTSDIR}
+ ${MKDIR} ${STAGEDIR}${PREFIX}/etc/fonts/conf.avail \
+ ${STAGEDIR}${PREFIX}/etc/fonts/conf.d
+ ${INSTALL_DATA} ${FILESDIR}/20-unhint-${PORTNAME}.conf \
+ ${FILESDIR}/62-fonts-${PORTNAME}.conf \
+ ${STAGEDIR}${PREFIX}/etc/fonts/conf.avail
+ ${LN} -s -f ../conf.avail/20-unhint-${PORTNAME}.conf \
+ ${STAGEDIR}${PREFIX}/etc/fonts/conf.d/20-unhint-${PORTNAME}.conf
+ ${LN} -s -f ../conf.avail/62-fonts-${PORTNAME}.conf \
+ ${STAGEDIR}${PREFIX}/etc/fonts/conf.d/62-fonts-${PORTNAME}.conf
+
+post-install-DOCS-on:
+ ${MKDIR} ${STAGEDIR}${DOCSDIR}
+ cd ${WRKSRC} && ${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR} \
+ "! ( -name *\.ttf -o -name IPA_PMincho )"
+
+.include <bsd.port.mk>
Added: head/japanese/font-aozoramincho/distinfo
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/japanese/font-aozoramincho/distinfo Wed Jul 27 15:10:09 2016 (r419179)
@@ -0,0 +1,3 @@
+TIMESTAMP = 1469423127
+SHA256 (aozoramincho-0.1/aozoramincho-readme-ttf.zip) = 343b19f2b5425b2ea080932326875cbd887ab106212ddce246f184672f8d4c17
+SIZE (aozoramincho-0.1/aozoramincho-readme-ttf.zip) = 39006315
Added: head/japanese/font-aozoramincho/files/20-unhint-aozoramincho.conf
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/japanese/font-aozoramincho/files/20-unhint-aozoramincho.conf Wed Jul 27 15:10:09 2016 (r419179)
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<!-- $FreeBSD$ -->
+<fontconfig>
+ <match target="font">
+ <test name="family">
+ <string>Aozora Mincho</string>
+ </test>
+ <edit name="autohint">
+ <bool>false</bool>
+ </edit>
+ </match>
+</fontconfig>
Added: head/japanese/font-aozoramincho/files/62-fonts-aozoramincho.conf
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/japanese/font-aozoramincho/files/62-fonts-aozoramincho.conf Wed Jul 27 15:10:09 2016 (r419179)
@@ -0,0 +1,11 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<!-- $FreeBSD$ -->
+<fontconfig>
+ <alias>
+ <family>serif</family>
+ <prefer>
+ <family>Aozora Mincho</family>
+ </prefer>
+ </alias>
+</fontconfig>
Added: head/japanese/font-aozoramincho/files/pkg-install.in
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/japanese/font-aozoramincho/files/pkg-install.in Wed Jul 27 15:10:09 2016 (r419179)
@@ -0,0 +1,110 @@
+#!/bin/sh
+# $FreeBSD$
+
+catfontsdir()
+{
+ while read _IN
+ do
+ case "${_IN}" in
+ *"-ipa-aozora mincho-"*|[0-9]*|"") ;;
+ *) echo ${_IN} ;;
+ esac
+ done
+}
+
+ROMA=""
+BOLD="ds=y"
+ITAL="ai=0.15"
+OBLI="ai=0.15"
+RITA="ai=0.08"
+ROBL="ai=0.08"
+
+make_xlfd()
+{
+ _enc=$1
+ _file=$2
+ _vendor=$3
+ _fname=$4
+ _poc=$5
+ _weight=$6
+
+ [ -r ${_file} ] || return
+
+ case "${_poc}:${_enc}" in
+ p:jisx0201.1976-*) PFIX="bw=0.5" ;;
+ c:jisx0201.1976-*) PFIX="bw=0.5" ;;
+ p:*) PFIX="" ;;
+ c:*) PFIX="" ;;
+ esac
+
+ set -- "" ${_weight}-r \
+ ${ITAL} ${_weight}-i \
+ ${OBLI} ${_weight}-o \
+ ${RITA} ${_weight}-ri \
+ ${ROBL} ${_weight}-ro
+ while [ $# != 0 ]; do
+ _prefix="${PFIX}:$1"; shift
+ _variant=$1; shift
+ [ ${index_type} = "scale" -a ${_prefix} != ":" ] && continue
+ printf "%s:%s -%s-%s-%s-normal--0-0-0-0-%s-0-%s\n" \
+ $_prefix $_file $_vendor "$_fname" $_variant $_poc $_enc
+ done | sed -e 's,::,:,g' -e 's,^:,,'
+}
+
+addentries()
+{
+ for ENC in iso8859-1 iso10646-1 jisx0201.1976-0 jisx0208.1983-0 jisx0208.1990-0 jisx0208.1997-0 jisx0213.2004-1
+ do
+ make_xlfd ${ENC} AozoraMincho-Thin.ttf ipa "aozora mincho" p thin
+ make_xlfd ${ENC} AozoraMinchoLight.ttf ipa "aozora mincho" p light
+ make_xlfd ${ENC} AozoraMinchoRegular.ttf ipa "aozora mincho" p book
+ make_xlfd ${ENC} AozoraMinchoMedium.ttf ipa "aozora mincho" p medium
+ make_xlfd ${ENC} AozoraMincho-Bold.ttf ipa "aozora mincho" p bold
+ make_xlfd ${ENC} AozoraMinchoHeavy.ttf ipa "aozora mincho" p heavy
+ make_xlfd ${ENC} AozoraMinchoBlack.ttf ipa "aozora mincho" p black
+ done
+}
+
+nfonts()
+{
+ _L=0; while read _IN; do _L=$((${_L}+1)); done; echo ${_L}
+}
+
+install_fontsdir()
+{
+ index_type=${1:-"dir"}
+ index="fonts.${index_type}"
+ tmpfile="${index}.tmp"
+ touch ${index}
+ (catfontsdir < ${index}; addentries ${index_type}) > ${tmpfile}
+ nfonts < ${tmpfile} > ${index}
+ cat ${tmpfile} >> ${index}
+ rm -f ${tmpfile}
+}
+
+deinstall_fontsdir()
+{
+ index_type=${1:-"dir"}
+ index="fonts.${index_type}"
+ tmpfile="${index}.tmp"
+ catfontsdir < ${index} > ${tmpfile}
+ nfonts < ${tmpfile} > ${index}
+ cat ${tmpfile} >> ${index}
+ rm -f ${tmpfile}
+ if [ -r ${index} -a $(wc -l < ${index}) = 1 ]; then
+ rm -f ${index}
+ fi
+}
+
+case "$2" in
+POST-INSTALL)
+ cd %%FONTSDIR%%
+ install_fontsdir dir
+ install_fontsdir scale
+ ;;
+POST-DEINSTALL)
+ cd %%FONTSDIR%%
+ deinstall_fontsdir dir
+ deinstall_fontsdir scale
+ ;;
+esac
Added: head/japanese/font-aozoramincho/pkg-descr
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/japanese/font-aozoramincho/pkg-descr Wed Jul 27 15:10:09 2016 (r419179)
@@ -0,0 +1,3 @@
+Aozora Mincho Japanese TrueType fonts
+
+WWW: http://blueskis.wktk.so/AozoraMincho/
Added: head/japanese/font-aozoramincho/pkg-plist
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/japanese/font-aozoramincho/pkg-plist Wed Jul 27 15:10:09 2016 (r419179)
@@ -0,0 +1,9 @@
+etc/fonts/conf.avail/20-unhint-aozoramincho.conf
+etc/fonts/conf.avail/62-fonts-aozoramincho.conf
+%%FONTSDIR%%/AozoraMincho-bold.ttf
+%%FONTSDIR%%/AozoraMincho-thin.ttf
+%%FONTSDIR%%/AozoraMinchoBlack.ttf
+%%FONTSDIR%%/AozoraMinchoHeavy.ttf
+%%FONTSDIR%%/AozoraMinchoLight.ttf
+%%FONTSDIR%%/AozoraMinchoMedium.ttf
+%%FONTSDIR%%/AozoraMinchoRegular.ttf
More information about the svn-ports-head
mailing list